"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Laika = void 0;
const prop_types_1 = require("prop-types");
const react_1 = __importDefault(require("react"));
const hook_1 = require("./hook");
function Laika(props) {
    const [featureEnabled, featureIsLoading] = (0, hook_1.useLaika)(props.feature, props.uri, props.env, props.cacheTimeout);
    const children = featureEnabled ? props.onTrue : props.onFalse;
    return react_1.default.createElement(react_1.default.Fragment, null, !featureIsLoading && children);
}
exports.Laika = Laika;
Laika.propTypes = {
    feature: prop_types_1.string.isRequired,
    uri: prop_types_1.string,
    env: prop_types_1.string,
    cacheTimeout: prop_types_1.number,
    onTrue: (0, prop_types_1.oneOfType)([prop_types_1.node, prop_types_1.bool]).isRequired,
    onFalse: (0, prop_types_1.oneOfType)([prop_types_1.node, prop_types_1.bool]).isRequired,
};
